summaryrefslogtreecommitdiffstats
path: root/juju/juju-vnfmadapter/Juju-vnfmadapterService/deployment/src/main/release/bin/init_db.sh
diff options
context:
space:
mode:
Diffstat (limited to 'juju/juju-vnfmadapter/Juju-vnfmadapterService/deployment/src/main/release/bin/init_db.sh')
-rw-r--r--juju/juju-vnfmadapter/Juju-vnfmadapterService/deployment/src/main/release/bin/init_db.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/juju/juju-vnfmadapter/Juju-vnfmadapterService/deployment/src/main/release/bin/init_db.sh b/juju/juju-vnfmadapter/Juju-vnfmadapterService/deployment/src/main/release/bin/init_db.sh
new file mode 100644
index 0000000..4482ae8
--- /dev/null
+++ b/juju/juju-vnfmadapter/Juju-vnfmadapterService/deployment/src/main/release/bin/init_db.sh
@@ -0,0 +1,52 @@
+#*******************************************************************************
+# Copyright 2016 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#*******************************************************************************
+#!/bin/bash
+cd ..
+if [ -z "$1" ]
+then
+ echo "usage: init_db.sh <db user> <db password> <db server ip> <db port> "
+ exit 1
+fi
+if [ -z "$2" ]
+then
+ echo "usage: init_db.sh <db user> <db password> <db server ip> <db port> "
+ exit 1
+fi
+if [ -z "$3" ]
+then
+ echo "usage: init_db.sh <db user> <db password> <db server ip> <db port> "
+ exit 1
+fi
+if [ -z "$4" ]
+then
+ echo "usage: init_db.sh <db user> <db password> <db server ip> <db port> "
+ exit 1
+fi
+echo
+echo "DB-INIT [jujuvnfmdb] : START"
+mysql -u$1 -p$2 -h$3 -P$4 <$(cd `dirname $0`; pwd)/db/mysql/db-schema.sql
+if [ $? != 0 ] ; then
+ echo "DB-INIT [jujuvnfmdb] : FAILED !"
+ exit 1
+fi
+echo "DB-INIT [jujuvnfmdb] : PASSED"
+echo
+echo "*************************************************************"
+echo "CAUTION: Existing jujuvnfmdb will be cleaned before"
+echo "initializing the schema, so please take a back-up of it"
+echo "before executing it next time."
+echo "*************************************************************"
+exit 0 \ No newline at end of file